# Class RoleMBean

java.lang.Object
org.apache.tomcat.util.modeler.BaseModelMBean
org.apache.catalina.mbeans.RoleMBean

All Implemented Interfaces:
  `DynamicMBean, MBeanRegistration, ModelMBeanNotificationBroadcaster, NotificationBroadcaster`

public class RoleMBean extends BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.Role` component.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final ManagedBean`
`managed`
The `ManagedBean` information describing this MBean.
`protected final Registry`
`registry`
The configuration information registry for our managed beans.

### Fields inherited from class BaseModelMBean

`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

## Constructor Summary

Constructors
Constructor
Description
`RoleMBean()`
Create a new RoleMBean instance.

## Method Summary

### Methods inherited from class BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### registry

protected final Registry registry
The configuration information registry for our managed beans.

### managed

protected final ManagedBean managed
The `ManagedBean` information describing this MBean.

## Constructor Details

### RoleMBean

public RoleMBean()
Create a new RoleMBean instance.